Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface CustomWorkflowAction

All Superinterfaces:
  Document, Item, Localized, ScheduledWorkflowAction, WCMApiObject, WorkflowAction

    public interface CustomWorkflowAction

extends ScheduledWorkflowAction

Represents a custom workflow action.

An `CustomWorkflowAction` cannot be created, edited or deleted through the API. It must already exist in the repository.

See Also:
  `CustomWorkflowAction`

Nested Class Summary

Nested classes/interfaces inherited from interface com.ibm.workplace.wcm.api.ScheduledWorkflowAction
`ScheduledWorkflowAction.DateType`

Method Summary
`java.lang.String` | `getActionName()` Returns the name of the `com.ibm.workplace.wcm.api.custom.CustomWorkflowAction` as defined within the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` will run
`CustomWorkflowActionFactory` | `getFactory()` Returns a reference to the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` is using
`java.lang.String` | `getFactoryName()` Returns the name of the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` is using

Methods inherited from interface com.ibm.workplace.wcm.api.ScheduledWorkflowAction
`getDateType, getExecuteDate, getOffset, isDisabledIfExecuteDatePast, isOffsetEnabled`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getFactoryName

    java.lang.String getFactoryName()

  Returns the name of the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` is using

  Returns:
    the name of the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` is using

### getActionName

    java.lang.String getActionName()

  Returns the name of the `com.ibm.workplace.wcm.api.custom.CustomWorkflowAction` as defined within the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` will run

  Returns:
    the name of the `com.ibm.workplace.wcm.api.custom.CustomWorkflowAction` as defined within the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` will run

### getFactory

    CustomWorkflowActionFactory getFactory()

  Returns a reference to the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` is using

  Note: The `CustomWorkflowActionFactory` can be used to retrieve the `com.ibm.workplace.wcm.api.custom.CustomWorkflowAction`

  Returns:
    a reference to the `CustomWorkflowActionFactory` that this `CustomWorkflowAction` is using

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD